Skip to main content
GET
/
v1
/
platform
/
content
List published content
curl --request GET \
  --url https://api.1club.ai/v1/platform/content \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "organizationId": 123,
    "title": "<string>",
    "slug": "<string>",
    "status": "<string>",
    "content": {
      "html": "<string>",
      "blocks": {},
      "summary": "<string>",
      "keywords": [
        "<string>"
      ]
    },
    "excerpt": "<string>",
    "metaTitle": "<string>",
    "metaDescription": "<string>",
    "metaKeywords": "<string>",
    "canonicalUrl": "<string>",
    "template": "<string>",
    "layout": "<string>",
    "customFields": {},
    "tags": [
      "<string>"
    ],
    "summary": "<string>",
    "keywords": [
      "<string>"
    ],
    "images": [
      "<string>"
    ],
    "featured": true,
    "authorId": 123,
    "author": {
      "id": 123,
      "name": "<string>",
      "email": "<string>",
      "profileImage": "<string>"
    },
    "publishedAt": "2023-11-07T05:31:56Z",
    "language": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.1club.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Customer API key obtained from the admin portal (e.g. 1club_sk_live_...)

Query Parameters

type
enum<string>

Filter by content type

Available options:
faq,
post,
document,
block
locale
string

Locale for content resolution

Response

List of published content

id
integer
organizationId
integer
title
string
slug
string
type
enum<string>
Available options:
faq,
post,
document,
block
status
string
visibility
enum<string>
Available options:
Public,
Member_only,
Private
content
object

Body of the content item. May contain HTML, EditorJS blocks, a summary, and keywords.

excerpt
string | null
metaTitle
string | null
metaDescription
string | null
metaKeywords
string | null
canonicalUrl
string | null
template
string | null
layout
string | null
customFields
object
tags
string[]
summary
string | null
keywords
string[]
images
string[]
authorId
integer | null
author
object
publishedAt
string<date-time> | null
language
string | null
createdAt
string<date-time>
updatedAt
string<date-time>